@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  gee startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS and GEE_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\gee-2.2.1-SNAPSHOT.jar;%APP_HOME%\lib\sod-3.2.6-SNAPSHOT.jar;%APP_HOME%\lib\etopo10-1.0.jar;%APP_HOME%\lib\vmap_po_thinned-1.0.jar;%APP_HOME%\lib\dcwpo_browse-1.0.jar;%APP_HOME%\lib\classics-1.1.jar;%APP_HOME%\lib\vecmath-1.3.1.jar;%APP_HOME%\lib\j3d-core-1.3.1.jar;%APP_HOME%\lib\j3d-core-utils-1.3.1.jar;%APP_HOME%\lib\registry-1.1.jar;%APP_HOME%\lib\nachocalendar-0.21_USC1.jar;%APP_HOME%\lib\bag-0.1alpha.jar;%APP_HOME%\lib\jline-0.9.94.jar;%APP_HOME%\lib\jing-20091111.jar;%APP_HOME%\lib\rngconv-20030225.jar;%APP_HOME%\lib\VectorGraphics2D-0.9.jar;%APP_HOME%\lib\gral-core-0.9.jar;%APP_HOME%\lib\velocity-tools-2.0.jar;%APP_HOME%\lib\javacsv-2.0.jar;%APP_HOME%\lib\fissuresUtil-1.1.8.jar;%APP_HOME%\lib\JSAP-2.1.jar;%APP_HOME%\lib\junit-3.8.1.jar;%APP_HOME%\lib\commons-beanutils-1.7.0.jar;%APP_HOME%\lib\commons-digester-1.8.jar;%APP_HOME%\lib\commons-chain-1.1.jar;%APP_HOME%\lib\commons-logging-1.1.jar;%APP_HOME%\lib\commons-validator-1.3.1.jar;%APP_HOME%\lib\oro-2.0.8.jar;%APP_HOME%\lib\sslext-1.2-0.jar;%APP_HOME%\lib\fissuresImpl-1.1.19.jar;%APP_HOME%\lib\seisFile-1.6.6-SNAPSHOT.jar;%APP_HOME%\lib\TauP-2.2.1-SNAPSHOT.jar;%APP_HOME%\lib\oregondsp-2011.jar;%APP_HOME%\lib\hibernate-ehcache-3.6.9.Final.jar;%APP_HOME%\lib\hibernate-core-3.6.9.Final.jar;%APP_HOME%\lib\javassist-3.12.1.GA.jar;%APP_HOME%\lib\isti.util-20120201.jar;%APP_HOME%\lib\hsqldb-1.8.0.10.jar;%APP_HOME%\lib\postgresql-9.4-1201-jdbc41.jar;%APP_HOME%\lib\xercesImpl-2.10.0.jar;%APP_HOME%\lib\xalan-2.7.1.jar;%APP_HOME%\lib\openmap-4.6.2.jar;%APP_HOME%\lib\itextpdf-5.1.3.jar;%APP_HOME%\lib\jcommon-1.0.0.jar;%APP_HOME%\lib\jfreechart-1.0.1.jar;%APP_HOME%\lib\javamail-1.3.2.jar;%APP_HOME%\lib\activation-1.0.2.jar;%APP_HOME%\lib\hibernate-c3p0-3.6.9.Final.jar;%APP_HOME%\lib\fissuresIDL-1.0_getset.jar;%APP_HOME%\lib\seedCodec-1.0.11.jar;%APP_HOME%\lib\slf4j-api-1.7.10.jar;%APP_HOME%\lib\slf4j-log4j12-1.7.10.jar;%APP_HOME%\lib\rxtx-2.1.7.jar;%APP_HOME%\lib\woodstox-core-lgpl-4.2.0.jar;%APP_HOME%\lib\ehcache-core-2.4.3.jar;%APP_HOME%\lib\antlr-2.7.6.jar;%APP_HOME%\lib\hibernate-commons-annotations-3.2.0.Final.jar;%APP_HOME%\lib\hibernate-jpa-2.0-api-1.0.1.Final.jar;%APP_HOME%\lib\jta-1.1.jar;%APP_HOME%\lib\isti.util.toplevel-1.0USC.jar;%APP_HOME%\lib\jdom-b9.jar;%APP_HOME%\lib\xml-apis-2.10.0.jar;%APP_HOME%\lib\xml-resolver-1.2.jar;%APP_HOME%\lib\serializer-2.10.0.jar;%APP_HOME%\lib\serializer-2.7.1.jar;%APP_HOME%\lib\c3p0-0.9.1.jar;%APP_HOME%\lib\jacorb-2.3.1_USC2.jar;%APP_HOME%\lib\backport-util-concurrent-2.3.1.jar;%APP_HOME%\lib\log4j-1.2.17.jar;%APP_HOME%\lib\stax-api-1.0-2.jar;%APP_HOME%\lib\stax2-api-3.1.1.jar;%APP_HOME%\lib\velocity-1.7.jar;%APP_HOME%\lib\commons-lang-2.4.jar;%APP_HOME%\lib\logkit-1.0.1.jar;%APP_HOME%\lib\avalon-framework-4.1.3.jar;%APP_HOME%\lib\mysql-connector-java-5.1.34.jar;%APP_HOME%\lib\commons-collections-3.2.1.jar;%APP_HOME%\lib\dom4j-1.6.1.jar

@rem Execute gee
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %GEE_OPTS%  -classpath "%CLASSPATH%" edu.sc.seis.gee.Start %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable GEE_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%GEE_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
